package eu.dnetlib.apps.oai2ftp.model;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class CollectionInfo implements Serializable {

	private static final long serialVersionUID = -8467778040892221645L;

	private String id;
	private String oaiBaseUrl;
	private String oaiFormat;
	private String oaiSet;
	private LocalDateTime oaiFrom;
	private LocalDateTime oaiUntil;
	private String ftpServer;
	private String ftpDir;
	private LocalDateTime start;
	private LocalDateTime end;
	private ExecutionStatus executionStatus;
	private long total;
	private final List<CollectionCall> calls = new ArrayList<>();
	private String message;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getOaiBaseUrl() {
		return oaiBaseUrl;
	}

	public void setOaiBaseUrl(final String oaiBaseUrl) {
		this.oaiBaseUrl = oaiBaseUrl;
	}

	public String getOaiFormat() {
		return oaiFormat;
	}

	public void setOaiFormat(final String oaiFormat) {
		this.oaiFormat = oaiFormat;
	}

	public String getOaiSet() {
		return oaiSet;
	}

	public void setOaiSet(final String oaiSet) {
		this.oaiSet = oaiSet;
	}

	public LocalDateTime getOaiFrom() {
		return oaiFrom;
	}

	public void setOaiFrom(final LocalDateTime oaiFrom) {
		this.oaiFrom = oaiFrom;
	}

	public LocalDateTime getOaiUntil() {
		return oaiUntil;
	}

	public void setOaiUntil(final LocalDateTime oaiUntil) {
		this.oaiUntil = oaiUntil;
	}

	public String getFtpServer() {
		return ftpServer;
	}

	public void setFtpServer(final String ftpServer) {
		this.ftpServer = ftpServer;
	}

	public String getFtpDir() {
		return ftpDir;
	}

	public void setFtpDir(final String ftpDir) {
		this.ftpDir = ftpDir;
	}

	public LocalDateTime getStart() {
		return start;
	}

	public void setStart(final LocalDateTime start) {
		this.start = start;
	}

	public LocalDateTime getEnd() {
		return end;
	}

	public void setEnd(final LocalDateTime end) {
		this.end = end;
	}

	public ExecutionStatus getExecutionStatus() {
		return executionStatus;
	}

	public void setExecutionStatus(final ExecutionStatus executionStatus) {
		this.executionStatus = executionStatus;
	}

	public long getTotal() {
		return total;
	}

	public void setTotal(final long total) {
		this.total = total;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(final String message) {
		this.message = message;
	}

	public List<CollectionCall> getCalls() {
		return calls;
	}

}
